Subject: Nomcom Enhancements: Improving the IETF leadership selection process

From: Dave CROCKER <[email-masked]>
Date: Sat, 17 Jul 2010 08:48:51 -0700

Folks,

Nomcom has been an integral part of the IETF for nearly 20 years.

A number of us have been developing a set of recommendations designed to adapt 
the Nomcom process to better match current realities of the IETF community.  The 
draft has progressed far enough to call for public consideration.

Some of the proposal's recommendations require no changes in formal rules.  They
can be adopted immediately, possibly by the current Nomcom, should it so choose.
Others require a formal development and approval cycle.

At:

      <http://www.bbiw.net/recent.html#nomcom2010>

there is a copy of the Full Proposal, and a Summary which primarily contains 
just the recommendations.

The proposal's Abstract is:

> Every year the IETF's Nominating Committee (Nomcom) reviews and selects half
> of the IETF's leadership on the IESG, IAB and IAOC/Trust. In the 18 years
> since the inception of the Nomcom process, the Internet industry and the IETF
> have gone through many changes in funding, participation and focus, but not
> in the basic formation, structure or operation of Nomcom. This paper explores
> challenges that have emerged in the conduct of Nomcom activities,
> particularly due to changing IETF demographics. The paper reviews the nature,
> causes and consequences of these challenges, and proposes a number of
> specific changes. The changes provide better communication of Nomcom
> institutional memory, enhance Nomcom membership expertise, and produce
> stronger confidentiality and etiquette practices among Nomcom participants.
> Some changes require formal modification to Nomcom rules; others can be
> adopted immediately.

Please feel free to discuss the proposal with any of the authors or folks listed
in the Acknowledgments section, or on this list.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 18 Jul 2010 08:49:54 +1200

On 2010-07-18 03:48, Dave CROCKER wrote:
...
> there is a copy of the Full Proposal, and a Summary which primarily
> contains just the recommendations.

Um, we have this new system called Internet-Drafts, whereby proposals
are issued by a certain cutoff date so that people have a chance to
read them before a meeting. Did you consider using that system?

   Brian

---

From: Scott Brim <[email-masked]>
Date: Sat, 17 Jul 2010 18:00:42 -0400

Brian, it wasn't ready. Are you trying to say something beyond asking why it wasn't submitted as a draft? I don't understand the subtext.

Scott

---

From: Dave CROCKER <[email-masked]>
Date: Sat, 17 Jul 2010 16:38:22 -0700

...
> Um, we have this new system called Internet-Drafts,
...

Brian,

There is?  Good to know.  I'll try to use it for the next version.[*]

And now that we've traded the requisite sarcasm...

As Scott noted, I circulated it as soon as it was stable.  For example, last 
night I got a review comment that greatly improved the clarity of the text for a 
recommendation.

This proposal covers a difficult topic, with a problematic history.  Deciding 
when to offer it for public discussion was its own challenge.

Although the substantial list of contributors to the proposal embody deep IETF 
history, it is currently only an unofficial activity. It's not on any agendas, 
except some of our personal ones.  The goal is hallway discussion.

If you are pressed for time, please scan the Summary version.  That's what it's 
there for.

d/

[*] FYI, the I-D submission tool happens to currently enforce a hard limit at 
the number of authors, contrary to the RFC Editor's "suggested" limit.  I'm told 
that the tool will get fixed eventually, but I thought it worth mentioning the 
added hassle of using the tool that you might not have known about.  I 
discovered the limit in the usual fashion, for this document.

-- 

   Dave Crocker

---

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 18 Jul 2010 11:58:17 +0100

Hi Dave,

I read the Summary 
(http://www.bbiw.net/specifications/IETF-Nomcom-Process-Summary.html) - 
timing being short at the moment. Looks mainly very good.

In Section 5.2 I find...

> RECOMMENDATION -- Politicking
> - Any evidence of politicking should be reported to Nomcom and should be 
> treated as a significant, negative factor when considering the nominee who
>   is intended to benefit from the politicking.

It may be that my mind is unnecessarily devious, but it seems to me that 
this assumes that either no-one will execute a bluff, or that Nomcom will 
detect it. That is, if I wish to ensure that Dave Crocker does not become 
the next Foo Area Director, I could engineer a campaign of lobbying in his 
support. According to your recommendation, this would have a significant 
negative impact.

IMHO, the actions of others have absolutely zero relevance to the competence 
of an individual performing their IETF management tasks. NomCom should 
consider only material facts (positive or negative) and should not be 
distracted by any politicking or lobbying.

I note that this is probably a simplistic statement since the line between 
sending your fair and honest opinion that Dave would be good or bad as the 
Foo AD can only truly be construed as not lobbying if you are entirely 
unconcerned as to whether the final selection matches your own preferences 
and opinions.

It may also make a difference if it is the candidate who is organising or 
instigating the lobbying on his own behalf. But determining this is likely 
to require some form of court! So perhaps it is best to simply stick to the 
candidates' competences, and to interviews advised by feedback from the 
community.

Cheers,
Adrian

----- Original Message ----- 
From: "Dave CROCKER" <[email-masked]>
To: "IETF Discussion" <[email-masked]>
Sent: Saturday, July 17, 2010 4:48 PM
Subject: Nomcom Enhancements: Improving the IETF leadership selection 
process

> A number of us have been developing a set of recommendations designed to 
> adapt the Nomcom process to better match current realities of the IETF 
> community.  The draft has progressed far enough to call for public 
> consideration.
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>

---

From: Yoav Nir <[email-masked]>
Date: Sun, 18 Jul 2010 18:27:23 +0300

Hi Adrian

It depends on the definition of politicking. In this, umm, draft, there's this definition:

"An organized campaign that seeks selection of a particular nominee"

So you can't promote Dave all by yourself. You'll have to get a bunch of people sending over-the-top opinions ("Dave will save the world as AD. Electing him ensures a cure for cancer and world peace over IPv6"). It's this organized effort that gets reported. It is then up to the NomCom to consider this, just like any other piece of information. If they conclude that this is an attempt to sabotage Dave's candidacy, they can choose to ignore it. OTOH they can choose to wonder why Dave generates such animosity, that people go to all this trouble.

Of course, if they notice that a dozen people working for the same company send in such opinions about Dave, they may choose to ignore all opinions from that group.

You may be right. This is looking more investigative than the NomCom can be expected to do.

Yoav

On Jul 18, 2010, at 1:58 PM, Adrian Farrel wrote:

> Scanned by Check Point Total Security Gateway.

---

From: Dave CROCKER <[email-masked]>
Date: Sun, 18 Jul 2010 11:23:12 -0700

On 7/18/2010 8:27 AM, Yoav Nir wrote:
> Of course, if they notice that a dozen people working for the same company
> send in such opinions about Dave, they may choose to ignore all opinions from
> that group.
>

In two notes, I think you guys have replicated some weeks of our discussion.

We wandered pretty widely, looking for ways to discover and control all sorts of 
politicking, very precisely.  In the end, we reached the same conclusion about 
effort and difficulties that you did.  (We even got to the point of 
distinguishing competent politicking from incompetent, essentially 
distinguishing between cumbersome and blatant politicking from possibly subtle 
and clever forms.)  In particular, I think the deciding factor in our 
discussions was refraining from adding a burden of more effort to Nomcom.

That's why this recommendation is quite basic, rather than trying to be precise 
and definitive.

As engineers, we like to prescribe behaviors.  For this realm, the best we can 
reasonably do is simply to make the concerns and expectations crystal clear, 
with guidance about the repercussions.

d/

-- 

   Dave Crocker

---

From: Lixia Zhang <[email-masked]>
Date: Sun, 18 Jul 2010 13:14:41 -0700

On Jul 17, 2010, at 8:48 AM, Dave CROCKER wrote:

> A number of us have been developing a set of recommendations designed to adapt the Nomcom process to better match current realities of the IETF community.  The draft has progressed far enough to call for public consideration.
> 
> there is a copy of the Full Proposal, and a Summary which primarily contains just the recommendations.
> 
> ......

I read the summary version of it: seems to me a timely effort in improving our process.  it'd be great if we could do this for next nomcom:)

One comment, then one new suggestion for you to consider.

The comment: I support the idea of having a second 'expertise' pool of volunteers, but I wonder where comes this suggestion of selecting *3* members from this pool.  A few random questions:

- Do we know what is this number for the last several NOMCOMs?

- Assuming ISOC keeps the records of NOMCOM volunteers over time: what percentage of volunteers that would fall into this second pool?

- Did this number "3" come from a rough expectation on how many NOMCOM members should have this "direct involvement in the process of IETF leadership (IAB/IESG/WG chair)?
e.g. say you expect total 5 people with experience, you pick 3 from 2nd pool first, then expect 2 more from the bigger pool ...

Personally I feel (1) there should be a expected low threshold of NOMCOM member with this direct IETF leadership experience, and (2)this threshold should be higher than 3.

Now the suggestion: Since some of the suggested enhancements would require modifications to 3777, I'd like to bring up another thought I've had for a long time: the current NOMCOM eligibility requirement (3 of the last 5 IETF meetings) seems a bit low, I feel that a longer experience with IETF process than 2 years (as minimum) requirement could help NOMCOM's decision process, as IETF is already over 24 years old now with a pretty long and rich history.

Take into account the fact that many people probably do not attend all IETF meetings, as a strawman for a longer IETF experience, what about attending 5 of the last 8 or 10 meetings?

that's all for now, and thanks to all for doing this important work!

Lixia

---

From: Dave CROCKER <[email-masked]>
Date: Sun, 18 Jul 2010 14:06:33 -0700

Lixia,

On 7/18/2010 1:14 PM, Lixia Zhang wrote:
> The comment: I support the idea of having a second 'expertise' pool of
> volunteers, but I wonder where comes this suggestion of selecting *3* members
> from this pool.  A few random questions:
>

The last two Nomcom Chairs were part of the design team for the proposal.  As I 
recall, Joel actually ran some of these kinds of numbers.  I don't remember the 
details he produced, but they were part of our consideration and we definitely 
all haggled quite a bit about the number to recommend.

There was a remarkable amount of support for 3, bordering on unanimity. 
(Exercise to the reader:  take a guess who was the odd one out...)

The reason for preferring 3 was balancing a desire to ensure a /minimum/ level 
of knowledge but also to limit the amouont of /dominance/ of old-timers.

So the feeling was that two was not enough to meet the minimum, but requiring 
four would start feeling like dominance among the voting members.  (Note that 
the current proposal still allows four or more, but only through the statistical 
selection process, not as a mandate.)

> Take into account the fact that many people probably do not attend all IETF
> meetings, as a strawman for a longer IETF experience, what about attending 5
> of the last 8 or 10 meetings?

Speaking only for myself, I'll say that it's quite easy to go to many IETF 
meetings, but never learn anything about IETF process.  When someone has the 
responsibility for choosing the people who manage the process, we ought to focus 
on ensuring that level of knowledge.  Hence the second pool.

I've been on 3 Nomcoms.  Some of the folk who did not know much IETF process 
were nonetheless very strong contributors.  Some weren't.  The key argument for 
retaining this "less experienced" criterion is that it tends to add some fresh 
perspective (along with the naivete... so it's a mixed benefit.)

d/

-- 

   Dave Crocker

---

From: Fred Baker <[email-masked]>
Date: Sun, 18 Jul 2010 17:00:11 -0700

On Jul 18, 2010, at 2:06 PM, Dave CROCKER wrote:

> Speaking only for myself, I'll say that it's quite easy to go to many IETF meetings, but never learn anything about IETF process.  When someone has the responsibility for choosing the people who manage the process, we ought to focus on ensuring that level of knowledge.  Hence the second pool.

A general thought:

Generally speaking, I think people fall into broad classes - those who have followed a mailing list, those who have followed a mailing list and shown up for meetings, those who have written an internet draft, those who have pushed one through to RFC, those who have chaired a working group, and those who have served in some capacity on the I*. There might be another class. But those general groups, in sequence, will have a monotonically increasing experience with the processes and with the performance of people that are in those groups - someone who has pushed an ID through a working group probably has a better educated view of the chair than someone who has simply sat in the audience, and so on.

Not sure I want to be prescriptive about this, but the people I would expect to be targeting to get into a given role in leadership would be a person at the next lower rung - obvious working group chair candidates are people who are writing drafts and have some other characteristics, and obvious AD candidates might be working group chairs. People selecting them would be people of a comparable level of experience.

---

From: Dave CROCKER <[email-masked]>
Date: Sun, 18 Jul 2010 17:23:30 -0700

On 7/18/2010 5:00 PM, Fred Baker wrote:
> But those general groups, in sequence, will have a monotonically increasing
> experience with the processes and with the performance of people that are in
> those groups - someone who has pushed an ID through a working group probably
> has a better educated view of the chair than someone who has simply sat in
> the audience, and so on.

Nomcom chooses ADs, IETF Chair, IAB members and IAOC/Trust members, not working 
group chairs.

So perhaps I've missed your point.

Also, a typical author actually gets a very restricted view of the larger IETF 
management processes.

d/
-- 

   Dave Crocker

---

From: Lixia Zhang <[email-masked]>
Date: Sun, 18 Jul 2010 22:37:24 -0700

On Jul 18, 2010, at 2:06 PM, Dave CROCKER wrote:

> The last two Nomcom Chairs were part of the design team for the proposal.  As I recall, Joel actually ran some of these kinds of numbers.  I don't remember the details he produced, but they were part of our consideration and we definitely all haggled quite a bit about the number to recommend.

If Joel already got the numbers, it seems useful to know.

What about my other question, what percentage of volunteers over the last few years that would fall into this second pool?
This would help understand the feasibility of the idea (i.e. the 2nd pool still needs to be large enough)

> There was a remarkable amount of support for 3, bordering on unanimity. (Exercise to the reader:  take a guess who was the odd one out...)
> 
> The reason for preferring 3 was balancing a desire to ensure a /minimum/ level of knowledge but also to limit the amouont of /dominance/ of old-timers.
> 
> So the feeling was that two was not enough to meet the minimum, but requiring four would start feeling like dominance among the voting members.

four is still less than half of voting members, not "dominance"?

> Speaking only for myself, I'll say that it's quite easy to go to many IETF meetings, but never learn anything about IETF process.

the above statement applies in general, independent from the NOMCOM eligibility criteria.

> When someone has the responsibility for choosing the people who manage the process, we ought to focus on ensuring that level of knowledge.  Hence the second pool.

and I support the second pool idea

> I've been on 3 Nomcoms.  Some of the folk who did not know much IETF process were nonetheless very strong contributors.  Some weren't.  The key argument for retaining this "less experienced" criterion is that it tends to add some fresh perspective (along with the naivete... so it's a mixed benefit.)

- definitely people can all be strong contributors, with or without much IETF knowledge.
- I think an effective NOMCOM does require some minimal IETF knowledge from its members.
- fresh blood is always important.
Even 5 out of last 8 meetings allows one with just 2-year IETF experience.

Lixia

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 19 Jul 2010 09:12:33 -0400

Looking at the numbers, and trying to estimate (because there are not 
clear records to make it easy to verify whether person X has ever been a 
WG chair, what I found was that typically, about 40% of the pool was 
"experienced by the conditions we were using.  Assuming 100 volunteers 
(which has been about the rate recently), while this gives an expected 
value of 4 experienced members, it gave a significant probability of 1 
or 2 experienced members.

Conversely, with that same base, if one had a minimum of 4 experience 
members, since that removed only 4 people from the pool, it meant that 
the expected value would become about 6.4 experienced members, with a 
very high probability of getting 7 experienced members.  I at least, and 
I believe others, felt this was too close to packing the committee.  The 
goal is not to give experienced people control, but to make sure that 
there are enough experienced participants to inform the process.

Hence, after debating, we settled on 3 for the first draw.  This gives 
obviously a minimum of 3, and an expected value of almost 5.8, with a 
corresponding reduction in the odds of getting 7 or more experienced 
members.  In some ways this still seemed to me to be uncomfortably high. 
  But the other concern was that if we ever actually got a good turnout 
for the pool, such that experienced volunteers made up only 15 or 20 
percent of the pool, the three minimum would still ensure that there 
were 3 experienced people on the committee.  (The most inexperienced 
committee on record, as far as we could tell, occurred when we had a 
very good turnout for the nomcom volunteer pool, something I at least 
really appreciate, and not an especially high turnout of experienced 
people.)

Yours,
Joel M. Halpern

PS: When we updated the nomcom eligibility for 2 out of 3 to 34 out of 
5, there was much discussion of what the right balance was.  The concern 
at the time, which I share, is that if we increase the window too much, 
folks who are not currently involved, but are coming back, would be 
eligible.  And it seemed to the working group that it was important that 
folks experience be relatively recent.  If the attendance condition has 
any meaning, someone who has skipped the last 5 meetings would seem to 
be lacking in currency.  (It can be argued that the attendance condition 
doesn't work, but that is a very different debate.)

---

From: "Doug Ewell" <[email-masked]>
Date: Mon, 19 Jul 2010 07:46:03 -0600

"Fred Baker" <fred at cisco dot com> wrote:

> Generally speaking, I think people fall into broad classes - those who 
> have followed a mailing list, those who have followed a mailing list 
> and shown up for meetings, those who have written an internet draft, 
> those who have pushed one through to RFC, those who have chaired a 
> working group, and those who have served in some capacity on the I*. 
> There might be another class. But those general groups, in sequence, 
> will have a monotonically increasing experience with the processes and 
> with the performance of people that are in those groups - someone who 
> has pushed an ID through a working group probably has a better 
> educated view of the chair than someone who has simply sat in the 
> audience, and so on.

Apparently by design, this sequence places meeting attendance at a very 
low level compared to other activities.  Some people may have written 
one or more WG Internet-Drafts that went through to RFC, but have had 
neither corporate sponsorship nor independent wealth necessary to attend 
meetings.  This situation is likely to continue, as people attending 
meetings at reduced day-pass fees are excluded from Nomcom eligibility.

--
Doug Ewell | Thornton, Colorado, USA | http://www.ewellic.org
RFC 5645, 4645, UTN #14 | ietf-languages @ is dot gd slash 2kf0s

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 19 Jul 2010 10:07:39 -0400

On Sun, Jul 18, 2010 at 02:06:33PM -0700, Dave CROCKER wrote:

> Speaking only for myself, I'll say that it's quite easy to go to many 
> IETF meetings, but never learn anything about IETF process.  When someone 
> has the responsibility for choosing the people who manage the process, we 
> ought to focus on ensuring that level of knowledge.  Hence the second 
> pool.

I read the draft very quickly, and haven't absorbed it, but I have
grave doubts about the premise above, which seems to be very important
in justifying much of the additional process being proposed.

To begin with, I have doubts that people who really haven't learned
_anything_ about IETF process are going to be the ones who volunteer
for Nomcom.  They might not have the background that someone who has
been involved since IETF 1 does.  On the other hand, they're not
likely to hanker for the old days of a teeny club where everyone knew
every area, either.

Second, let us suppose that we do eventually get a Nomcom that is in
fact completely ignorant in the way the document suggests is possible
(noting, of course, that it has actually never happened, and so we're
fixing a theoretical problem).  Why is that a disaster?  It's not like
the entire leadership of the IETF is replaced by a given Nomcom.  In
the worst case, what will happen is that we have a bad year.  But
there is nothing about the involvement of long-term participants that
guarantees a non-bad year.  They've in fact happened when we did not
have a naive Nomcom.  Moreover, perhaps such a Nomcom will cause more
feedback to the Nomcom, as nervous experienced IETF participants
realise that things they consider important are just not even things
to think about for the Nomcom members.

I think there are two things at work that undergird this proposal, and
many of the other IETF process discussions I've observed.  First of
all, as protocol geeks we are prone to see any sub-optimal outcome as
something that just needs better protocol design, so we are tempted to
try to come up with a better specification.  Moreover, a large number
of IETF participants come from a culture founded around a written
constitution, and so the assumption that more specific written rules
is a natural one.  I believe, however, that these process discussions
are mostly harmful to the IETF.  They lead to larger numbers of
increasingly specific rules that later turn out to need exceptions,
which exceptions cause another convulsion of the IETF
consensus-forging machinery.

Moreover, I think endless talk about how one operates is bad for any
organization.  (I grew up in Canada, and starting in the 1960s and
extending well into the 1990s, we spent almost all our political
energy talking about the Constitution.)  Despite the claim in the
draft that there are "serious problems" affecting the operation of
Nomcoms, I'm not seeing what they are.  The report from the 2009 chair
suggested that there were some things that happened that made some
people uncomfortable (and that's the only citation for the "serious
problems" claim), but every one of them seemed to be addressable by
action by the chair.  We don't need more rules for this: we need the
chair to do that work, as he or she apparently does year after year.

In short, I don't think it is true that there is anything wrong with
the current (admittedly low) experience requirements for the Nomcom, I
don't see any evidence that someone more schooled in the ways of the
IETF will necessarily benefit the Nomcom, and I don't see the evidence
that the Nomcom needs more rules anyway.  I also think that more
process discussion is harmful to the IETF, and therefore I don't think
this draft should be pursued.  This is not to denigrate the
contributions of the people who undertook it in the first place; but
having uncovered that the arguments for more rules are weak, we should
conclude that more work is not needed and stop doing the work, in
exactly the way we would if we discovered that more protocol work
would not help.

Best regards,

Andrew

-- 
Andrew Sullivan
[email-masked]
Shinkuro, Inc.

---

From: Barry Leiba <[email-masked]>
Date: Mon, 19 Jul 2010 11:42:00 -0400

Andrew Sullivan wrote:
> for Nomcom.

I have no doubts about that.  A NomCom position is often considered a
"leadership position" by one's sponsor or manager -- it is, after all,
an HR job.  To get into other leadership positions in the IETF, one
has to build up reputation over time, and then be selected for it.  To
get a NomCom position, one need only volunteer, and -- these days,
with 100 volunteers -- one has a 10% chance, more or less, of getting
it.

If one is in an organization that considers it a feather in one's cap
to be on the NomCom, you'd better believe that one will volunteer,
whether or not you think that's a bad thing.

And to be clear, here, again: none of us think it's a bad thing to
have some inexperienced people on the NomCom.  We just think it's a
good thing to ensure some critical mass of experienced ones, and we
had a desire to be restrained about pushing the level of that critical
mass.

> fact completely ignorant [...] Why is that a disaster?  It's not like
> the entire leadership of the IETF is replaced by a given Nomcom.

Without trying to define "disaster", I'll remind you that, while the
NomCom is not replacing the *entire* leadership, it is selecting
*half* the leadership (and the overall char, in alternate years).
That's a lot.  And each of those appointees is in for two years,
barring such severe problems as to cause a recall -- a very expensive
and disruptive process that we'd like to avoid.

It would certainly be, if not a "disaster", decidedly difficult and
disruptive to have one of the two ADs from each of, say, three or four
area... be poorly suited to the job.  The same goes for the IETF
general chair.  There's no guarantee that a NomCom with "enough"
experienced people will not choose some poorly suited persons for
leadership roles, but we think it's unlikely for such a NomCom to go
*too* far wrong with too many of their selections.

> Despite the claim in the
> action by the chair.

The selection process is, of course, not controlled by the NomCom
chair, so the part above is not addressable by the chair.

Some of the "uncomfortable" bits apparently involved people being
unwilling to be candid because one particular liaison or other was in
the room.  That's addressed by another of our recommendations, which
gives the chair a way to address that, which s/he doesn't have now.

In general, the document suggests a combination of minor process
changes and suggestions that can be implemented at the will of the
NomCom.  Remember that the chair can't decide what the NomCom as a
whole will do.  The chair runs the *process*, and facilitates the
meetings.  The voting members are who make the decisions.

Lots of people have lots of ideas about how we ought to change the
NomCom process, putting more rules in or fewer.  This document
represents the consensus of a relatively small but significant and
experienced group of people... about a minimal set of changes that we
think are important.  We're not proposing vast changes and cumbersome
new processes.  We're going for simplicity, in order to address some
of the points of most concern.

Barry Leiba

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 19 Jul 2010 12:37:00 -0400

> with 100 volunteers -- one has a 10% chance, more or less, of getting

This sounds to me like a claim that there are organizations out there
that are measuring one's career progress in terms of getting
"leadership positions" in the IETF.  Is the real worry here that the
IETF is gradually being taken over by professional standards people as
opposed to those who happen to be working on standards as a side
effect of the "real" work they're doing?

If so, I confess that I think this is so much windmill-tilting.  The
Internet is a much more mature technology than it once was, and
therefore much greater conservatism creeps in.  With such conservatism
naturally comes additional specialization, which means that there will
be increased involvement from a kind of specialist standardizer that
was historically in the minority.  I doubt we can really prevent this
happening if, as you say, there are workplaces out there where getting
a position on the Nomcom is an important career milestone.

As an aside, I'll note that IETF activities were always regarded in
any job I had (including the present) as a kind of side project,
tangential to the main tasks (i.e. the ones that actually make the
employer money).  From experience in attempting to wring reviews and
updated I-D text out of working group participants, I'd say that the
same is mostly true of other IETF participants in the DNSEXT WG.
Whether DNS is unusual in this regard, I don't know.

> *too* far wrong with too many of their selections.

I've heard this off-list, too.  I want evidence.  In my opinion, some
past Nomcoms made some clanger bad decisions.  (I'm sure we all have
our favourite examples.)  On what basis would we say that it would
have turned out worse or better had the Nomcom been constituted
differently?  Even supposing that the semantics of counterfactuals
were the sort of thing about which everyone agreed, there are so many
variables that I'm not even sure where to start telling the
alternate-universe story.

It is entirely natural, I think, that people who have experience with
the IETF think that their insights into how the IETF works will
necessarily lead to better leadership selection.  I also believe that
my observations of the past would be helpful in making the right
decisions in the future.  In point of fact, however, I make bad
decisions all the time.  Maybe I'm just especially bad a this sort of
thing, and others are more likely to apply correctly the lessons
they've learned.

In addition, there are surely going to be second-order effects of
dividing the Nomcom into two classes.  Once someone is designated as
one of the "experienced" seats, won't it be natural for that person to
start dismissing objections from the "less experienced" as simply the
foolish objections of the naive?  (Anyone even casually acquainted
with the operation of any university department will be familiar with
this effect.)  Moreover, if the goal is to dilute the influence of the
professional IETF wonk (see above), this policy will have the opposite
effect: it will encourage people to do more of the things to meet the
"checklist" for being "experienced", thereby pervesely actually
undermining the absorbtion of IETF culture (whatever that is).
Indeed, it will make marks of experience more valuable, which means
that it will have the effect of _encouraging_ people to "run for
office".  The latter seems to be another thing the draft is aiming at
preventing, and this plan will make the aim even harder to achieve.

More rules -- even simple ones -- are always a greater favour to
bureaucrats and professional wonks than to everyone else.  Sometimes
(even often), that cost is worth paying.  But I am not convinced even
a little that it is worth it in this case.

A

-- 
Andrew Sullivan
[email-masked]
Shinkuro, Inc.

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 19 Jul 2010 15:52:38 -0400

I suspect I am not the only member of the Oxford Union Society here.

However for at least the last hundred years the society has had strict
rules against campaigning for office 'Rule 33' and a fairly elaborate
system of enforcement (the returning officer has ten deputies to
assist in observing and reporting breaches, there are tribunals etc.).

None of which has had the slightest impact. In fact the society is
generally considered a training ground for politicians precisely
because election to any office requires the use of a fairly
sophisticated political machine.

-- 
Website: http://hallambaker.com/

---

From: Jari Arkko <[email-masked]>
Date: Sat, 24 Jul 2010 10:24:41 +0200

Dave,

I have read your proposal. Here's some initial feedback. But I might
change my opinion upon further reflection :-) For background, I have
never participated in nomcom work, so my experience on that aspect is
limited.

My comments are structured around your specific recommendations:

RECOMMENDATION -- Nomcom Operations Guide

Agree

RECOMMENDATION -- Nomcom Discussion Management

Agree.

RECOMMENDATION -- Selective Exclusion

I agree in principle that we need this -- for conflict of interest and
for verified breach of rules, for instance. But I fear that
implementation is very difficult and itself prone to generating new
problems. Obviously verification of a breach of rules might be very
difficult. Also, you have not stated the precise rules for conflicts of
interest.

More worryingly, you wrote later in the text "Reasons for exclusion
include, ..., potential for violation of confidentiality, ...". Are you
saying that we should exclude nomcom members not merely based on
violation of confidentiality rules, but also based on predicted,
potential future violations? I hope the text was just sloppily written
and that you are not suggesting this, for obvious reasons.

RECOMMENDATION -- Nomcom Tutorials

Agree, though I don't see a big need for keeping them closed.

RECOMMENDATION -- Nomcom Expertise Requirement

I have very mixed feelings about this. On one hand I believe that such
expertise is very useful, but I am also afraid of too much
self-selection and conservatism as a result. The IETF has many
problems, but one issue that I have been personally worried about is
having a sufficient influx of new people. We have some, but in my
opinion we should have more. More young people, more new things, more
new ways to work. Without this we will all age, not reconsider enough
if improvements are needed in our way of working, become stale and
gradually lose relevance. Now, nomcom expertise requirements may not
have a big impact on these general trends anyway. But I still believe
it is important to think outside the box when selecting leaders, and
sometimes change and a fresh viewpoint is a good thing (even at the
expense of losing some experience). This applies to both nomcom members
and, say, IESG members.

Do we have evidence that more experienced nomcom works better than an
inexperienced one? Are there any downsides to choosing experienced
members (fixed opinions on way to do things that might possibly affect
candidate selection, for instance)?

Unlike almost all other recommendations in the draft, this one does not
address a current problem. We are solving a problem that might occur in
theory. Maybe that helps us make a decision on what to do here.

* RECOMMENDATION -- Confidentiality
Agreement

Agree.

* RECOMMENDATION -- Anonymous Input

Agree.

* RECOMMENDATION -- Liaison Disclosures

Agree.

RECOMMENDATION -- Interview Monitoring

I would prefer to see a weaker rule, such as allowing liaisons to ask
to be present in some interviews but not all.

RECOMMENDATION -- Etiquette Guide

Agree.

For the reasons already stated on the list by others, I think this
recommendation is problematic.

Some more detailed comments:

Many participants still are deeply involved in
the IETF, but many
others are more narrowly focused, with limited IETF involvement. Often
they track only one working group and contribute to none of its
discussion, writing or leadership.

I would like to ask for clarification. Did you mean participants who
contribute none to *general IETF discussion* or participants who are in
listen-only mode in their only working group?

This results in volunteers with potentially
less IETF experience, less
understanding of IETF culture and less appreciation of the specific
strengths (and weaknesses) of the IETF approach to standards
development. Instead, they bring their own norms, often including a
stronger sense of loyalty to other groups.

This is written in a bit of an us-vs-them style. I think the reality is
more complicated. We might want a particular outsider group to bring
their work to the IETF, for instance. And experience on how well the
IETF enables these people to do it would be very valuable in the nomcom.

Jari

---

From: Ross Callon <[email-masked]>
Date: Sat, 24 Jul 2010 07:34:02 -0400

I will respond only to one part of Jari's email, specifically the part about the potential expertise requirement for part of the nomcom.

In the past there have been cases where some specific IESG members have been perceived by some members of the community as being a problem. There have also been some cases of perceived friction between areas of the IETF (the issues which I have been aware of in the past have been fixed as of several years ago). There are also of course many cases where various problems (big ones and little ones) in the operation of the IETF have been fixed by various combinations of IETF participants. I would strongly prefer to avoid details.

It seems to me that having some personal knowledge of at least some of these cases would be helpful in the task of picking future members of the IETF leadership. Of course experience in the IETF operation is not a guarantee of knowledge of (some of) these cases, and knowledge of past cases is not a guarantee of making perfect selections of candidates in the future (and none of us are perfect, which implies that there is no chance of selecting perfect candidates). However, some experience among some of the nomcom voting members does, in my opinion, significant improve the chances that such past experience will be taken into consideration in the difficult task of choosing between multiple good but imperfect choices for our leadership.

I also think that having personal knowledge and experience with how the IETF works is very useful in making choices among the people who have volunteered for IETF leadership positions.

I have never been a voting member of nomcom, but was a liaison to nomcom once. The particular nomcom to which I was liaison happened to have some very experienced members, as well as some less experienced members. This was very helpful IMHO.

To me Jari's argument of wanting to bring new blood into the process is an argument for why some, and in fact the majority, of nomcom voting members should be chosen without the additional experience requirement proposed in the draft IETF leadership document. This if of course precisely what has been proposed (with only 3 of the 10 voting members requiring this additional experience).

Thus I support the expertise requirement proposed in draft-crocker-ietf-nomcom-process.

Ross

From: [email-masked] [mailto:[email-masked]] On Behalf Of Jari Arkko
Sent: Saturday, July 24, 2010 4:25 AM
To: [email-masked]
Cc: IETF Discussion
Subject: Re: Nomcom Enhancements: Improving the IETF leadership selection process

Dave,

I have read your proposal. Here's some initial feedback. But I might change my opinion upon further reflection :-) For background, I have never participated in nomcom work, so my experience on that aspect is limited.

RECOMMENDATION -- Selective Exclusion
I agree in principle that we need this -- for conflict of interest and for verified breach of rules, for instance. But I fear that implementation is very difficult and itself prone to generating new problems. Obviously verification of a breach of rules might be very difficult. Also, you have not stated the precise rules for conflicts of interest.

More worryingly, you wrote later in the text "Reasons for exclusion include, ..., potential for violation of confidentiality, ...". Are you saying that we should exclude nomcom members not merely based on violation of confidentiality rules, but also based on predicted, potential future violations? I hope the text was just sloppily written and that you are not suggesting this, for obvious reasons.

I have very mixed feelings about this. On one hand I believe that such expertise is very useful, but I am also afraid of too much self-selection and conservatism as a result. The IETF has many problems, but one issue that I have been personally worried about is having a sufficient influx of new people. We have some, but in my opinion we should have more. More young people, more new things, more new ways to work. Without this we will all age, not reconsider enough if improvements are needed in our way of working, become stale and gradually lose relevance. Now, nomcom expertise requirements may not have a big impact on these general trends anyway. But I still believe it is important to think outside the box when selecting leaders, and sometimes change and a fresh viewpoint is a good thing (even at the expense of losing some experience). This applies to both nomcom members and, say, IESG members.

Do we have evidence that more experienced nomcom works better than an inexperienced one? Are there any downsides to choosing experienced members (fixed opinions on way to do things that might possibly affect candidate selection, for instance)?

Unlike almost all other recommendations in the draft, this one does not address a current problem. We are solving a problem that might occur in theory. Maybe that helps us make a decision on what to do here.

    * RECOMMENDATION -- Confidentiality Agreement

Agree.

I would prefer to see a weaker rule, such as allowing liaisons to ask to be present in some interviews but not all.

 *   RECOMMENDATION -- Etiquette Guide

Agree.

For the reasons already stated on the list by others, I think this recommendation is problematic.

Many participants still are deeply involved in the IETF, but many others are more narrowly focused, with limited IETF involvement. Often they track only one working group and contribute to none of its discussion, writing or leadership.

I would like to ask for clarification. Did you mean participants who contribute none to *general IETF discussion* or participants who are in listen-only mode in their only working group?

This results in volunteers with potentially less IETF experience, less understanding of IETF culture and less appreciation of the specific strengths (and weaknesses) of the IETF approach to standards development. Instead, they bring their own norms, often including a stronger sense of loyalty to other groups.

This is written in a bit of an us-vs-them style. I think the reality is more complicated. We might want a particular outsider group to bring their work to the IETF, for instance. And experience on how well the IETF enables these people to do it would be very valuable in the nomcom.

Jari

---

From: John Leslie <[email-masked]>
Date: Sat, 24 Jul 2010 08:24:35 -0400

Ross Callon <[email-masked]> wrote:
> 
> In the past there have been cases where some specific IESG members have
> been perceived by some members of the community as being a problem.

   I would be amazed if it were otherwise; in fact I'd be surprised if
you could name a NomCom where no such case arose...

> There have also been some cases of perceived friction between areas of
> the IETF (the issues which I have been aware of in the past have been
> fixed as of several years ago).

   IMHO, better tools have helped there...

> There are also of course many cases where various problems (big ones
> and little ones) in the operation of the IETF have been fixed by
> various combinations of IETF participants. I would strongly prefer to
> avoid details.

   A NomCom probably _can't_ avoid learning details. :^(

> It seems to me that having some personal knowledge of at least some of
> these cases would be helpful in the task of picking future members of
> the IETF leadership.

   I don't think that follows.

   Between any two individuals there _will_ be sources of friction.
The NomCom will face an impossible task if they try to analyze all
combinations for friction. They should instead seek to learn how
candidates _deal_with_ friction.

> Of course experience in the IETF operation is not a guarantee of
> knowledge of (some of) these cases, and knowledge of past cases is
> not a guarantee of making perfect selections of candidates in the
> future (and none of us are perfect, which implies that there is no
> chance of selecting perfect candidates).

   All true...

> However, some experience among some of the nomcom voting members does,
> in my opinion, significantly improve the chances that such past
> experience will be taken into consideration in the difficult task of
> choosing between multiple good but imperfect choices for our leadership.

   But which _particular_ experience sets will help? I don't think we
can know that. And I've seen many particular experience-sets which
instead lead to entrenched beliefs as to how the IESG (e.g.) should
operate.

   Having two such entrenched beliefs on the NomCom is unlikely to
help... :^(

> I also think that having personal knowledge and experience with how
> the IETF works is very useful in making choices among the people who
> have volunteered for IETF leadership positions.

   Following that to its logical conclusion, only IESG members know
enough to pick their successors. We have soundly rejected that idea.

> I have never been a voting member of nomcom, but was a liaison to
> nomcom once. The particular nomcom to which I was liaison happened
> to have some very experienced members, as well as some less
> experienced members. This was very helpful IMHO.

   You know better than I, but I certainly tend to agree...

> To me Jari's argument of wanting to bring new blood into the process
> is an argument for why some, and in fact the majority, of nomcom
> voting members should be chosen without the additional experience
> requirement proposed in the draft IETF leadership document.

   Which, of course, is exactly where we are today...

   The devil is in the details here. How can we impose additional
experience requirements on some NomCom members without implying that
we want their opinions to be considered "better"?

--
John Leslie <[email-masked]>

---

From: Dave CROCKER <[email-masked]>
Date: Sat, 24 Jul 2010 16:15:40 +0200

Jari,

Thanks for the thoughtful comments.  With luck, any revisions you make to them 
won't render the following responses invalid...

On 7/24/2010 10:24 AM, Jari Arkko wrote:
> I agree in principle that we need this -- for conflict of interest and for
> verified breach of rules, for instance. But I fear that implementation is very
> difficult

As already noted on this thread, there's a continuing danger of having too many 
rules and attempting too much precision in the rules.  (My own comment is that 
we are a community that shows far more preference for creating detailed rules 
than for following even simple ones...)

The team of folks collaborating on this proposal approached the more interesting 
topics by riding a pendulum.  We would swing back and forth for most issues, 
especially on the axis of specificity.  For the Exclusion discussion, that 
predictably led to thoughts of all sorts of detailed criteria.  (To be fair, 
most topics had that ride.)  Luckily, most of the other folks are pretty 
reasonable and these debates came down on the side of more simplicity, rather 
than more and more detailed rules.

In this case, simplicity is based on the core fact that exercise of the power to 
exclude is so daunting, its exercise must be extremely rare and extremely 
well-founded.  Having the rest of Nomcom reverse the chair will be a very big 
and painful deal.  Having it happen more than once on the same Nomcom is likely 
to be devastating.

So the chair is likely to be careful about exercising this authority, exactly as 
they should be.

In the face of those forces, we felt that we could leave the rules simple and 
basic, and leave the details to the folk on the Nomcom at the time.

> More worryingly, you wrote later in the text "Reasons for exclusion include,
> ..., potential for violation of confidentiality, ...". Are you saying that we
> should exclude nomcom members not merely based on violation of confidentiality
> rules, but also based on predicted, potential future violations? I hope the text
> was just sloppily written and that you are not suggesting this, for obvious reasons.

Exclusion is not meant as punishment.  It is only useful for prevention. Waiting 
until there is a violation -- assuming that the violation can be detected -- 
doesn't accomplish that.

Again, the balancing forces, here, are the need to get a job done and to avoid 
nasty conflict.  Exclusion is an act that tends to work against both of these. 
(Or rather the second invites failing at the former...)

> Agree, though I don't see a big need for keeping them closed.

The dominant view on the team was that closed sessions will make frank 
discussion more likely.  There's a difference between getting information in 
order to make critical decisions, versus having more casual interest in the 
topic.  Having folks sitting in with only a casual interest affects the tone of 
the discussion.

Perhaps a simpler way to think of it is that these sessions are likely to 
include some "interview" content with the instructors.  Nomcom interviews are 
private.

> I have very mixed feelings about this. On one hand I believe that such expertise
> is very useful, but I am also afraid of too much self-selection and conservatism
> as a result.

I don't understand what you mean.

Making a guess, I'll note that selection of 3 from the second pool was largely 
based on wanting to avoid having a Nomcom be dominated by the old guard.

>  The IETF has many problems, but one issue that I have been
> personally worried about is having a sufficient influx of new people.

That was specifically the reason the team chose 3 as the number to recommend 
from the second pool, rather than more.

> inexperienced one? Are there any downsides to choosing experienced members

"works better" would not be language I would choose.  The concern is the basis 
for knowledge, not the style of participation.

Without any experience in IETF management processes, one must resort to abstract 
theory, which might or might not relate well to reality.  As the proposal notes, 
having too little experience among the voting members essentially requires 
relying too much on the advisers for basic information about how things work.

As for downsides, the team certainly worried about requiring too many 
experienced folk.  I'd class the worry as matching yours...

> Unlike almost all other recommendations in the draft, this one does not address
> a current problem.

Unfortunately, yes it does.  Some Nomcoms have suffered from too little 
experience among voting members.

> present in some interviews but not all.

You won't be surprised to hear that this was considered among the team.  At length.

The problem is that that means that that defeats the purpose of the rule.  Is it 
ok to have the presence of Advisers create intimidation /some/ of the time?

> recommendation is problematic.

So is the politicking.

>> Many participants still are deeply involved in the IETF, but many others are
>> more narrowly focused, with limited IETF involvement. Often they track only
>> one working group and contribute to none of its discussion, writing or leadership.
>
> I would like to ask for clarification. Did you mean participants who contribute
> none to *general IETF discussion* or participants who are in listen-only mode in
> their only working group?

The exemplar was describing an extreme.  It meant the latter.

It's not unusual to have regular attendees who do not really participate at all. 
  They attend to observe, perhaps to learn, perhaps to engage in hallway 
marketing, etc.

>> This results in volunteers with potentially less IETF experience, less
>> understanding of IETF culture and less appreciation of the specific strengths
>> (and weaknesses) of the IETF approach to standards development. Instead, they
>> bring their own norms, often including a stronger sense of loyalty to other
>> groups.
>
> This is written in a bit of an us-vs-them style. I think the reality is more
> complicated. We might want a particular outsider group to bring their work to
> the IETF, for instance. And experience on how well the IETF enables these people
> to do it would be very valuable in the nomcom.

The discussion was not about relative merits of different standards groups, nor 
about the value in working together.

It was only concerned with the effect on a Nomcom from having voting members who 
do not know IETF culture but do know other standards groups' cultures.

Since we are in the Netherlands, this week, let's try to imagine having a body 
selecting members of The Netherlands' Parliament, with the body comprising only 
people with grade-school education in the very different political structure of 
the United States' version of democracy.  Personally, I'd question the 
competence of such a body.

John,

On 7/24/2010 2:24 PM, John Leslie wrote:
 > How can we impose additional

I've been on 3 Nomcoms.  Voting members with experience are typically notable, 
but those without have yet to show anything I'd call "deference" or 
"intimidation".  On the average, IETF participants are each and all rather 
independent-minded and painfully unintimidated by folks with extensive experience.

During a discussion among members, being able to cite experience when offering 
an opinion helps, but I haven't seen anything that looked like inherently 
preferential position because a member has more experience.  Decisions still 
require making a good case for a position.

d/

-- 

   Dave Crocker

---

From: "Spencer Dawkins" <[email-masked]>
Date: Sat, 24 Jul 2010 09:44:08 -0500

Dave,

> I've been on 3 Nomcoms.  Voting members with experience are typically 
> notable, but those without have yet to show anything I'd call "deference" 
> or "intimidation".  On the average, IETF participants are each and all 
> rather independent-minded and painfully unintimidated by folks with 
> extensive experience.
>
> During a discussion among members, being able to cite experience when 
> offering an opinion helps, but I haven't seen anything that looked like 
> inherently preferential position because a member has more experience. 
> Decisions still require making a good case for a position.

I'll be the IAB's liaison to NomCom this year, but I haven't served on a 
NomCom previously. You're addressing a concern I had (and I don't think I 
was the only one) about part of the committee deferring to more experienced 
participants.

I hadn't heard anyone saying "not a problem in my experience" previously. 
Good to know.

Thank you.

Spencer

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 25 Jul 2010 09:45:41 +1200

Hi,

I'm only going to comment on the suggested changes to the BCP.
The other recommendations all seem to be reasonable additions to the
general guidance for future Nomcoms.

>     * The Nomcom Chair may selectively exclude any participant from a single Nomcom activity. This action may be overridden by a majority of Nomcom Voting Members.

In my own (limited) Nomcom experience I didn't see a case where this would
be relevant. In fact, it seems more likely that an individual would tend
to dominate *all* discussions, and this rule doesn't allow for exclusion
of a member from all activity. However, I guess it does allow for handling
a case of clear prejudice for or against a particular candidate.

I would suggest building in a bit more check-and-balance by making it
  * The Nomcom Chair may, after consulting with the previous Nomcom Chair, selectively exclude...

> RECOMMENDATION -- Selection Pool
> 
>     * There needs to be assurance of a minimum presence of Nomcom voting members who have meaningful knowledge of IETF "decision and leadership processes".
>     * Therefore, create a second pool of volunteers who satisfy more stringent Nomcom participation rules.
>     * Volunteers in this 'expertise' pool must have been on the IESG, IAB or IAOC/Trust, or have been a working group chair. These positions require a degree of direct involvement in the process of IETF leadership.
>     * Three (3) volunteers from the 'expertise' pool are selected first. Those who are not selected from that pool are then added to the general pool of volunteers, for the second round of selection. Nomcom is not limited to having only three of its members be experienced.
>     * (Implementation) This is a formal change to Nomcom selection rules, which will require a modification to RFC 3777.

I wouldn't seriously object to this proposal, but it doesn't help with
a related fundamental problem that we have: asking engineers to select
other engineers for managerial (IESG), strategic (IAB) and business/legal
(IAOC/Trust) jobs. The problem with putting engineers in such positions
is that they tend to do engineering, sometimes known as micro-management.
Quite what we can do about this I don't know, but including three engineers
in Nomcom who have personal experience of micro-managing isn't going to
fix it ;-).

> RECOMMENDATION -- Confidentiality Agreement
> 
>     * Everyone participating in Nomcom needs to sign a formal Confidentiality Agreement.

Good idea.

>     * Liaisons must not sit in on interviews without a specific invitation....

I do agree that the liaisons have no place in the interview process, but I
found this section confusing as to exactly what is proposed as a change to
the BCP.

Regards
   Brian Carpenter